# Draw
TKDraw
Draw

# Draw_DataMapNodeOfVMap Class Reference

`#include <Draw_DataMapNodeOfVMap.hxx>`

## Public Member Functions

| Draw_DataMapNodeOfVMap (const Standard_Integer &K, const Handle(Draw_Drawable3D)&I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Handle_Draw_Drawable3D & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
Handle_Draw_Drawable3D | myValue

## Constructor & Destructor Documentation

Draw_DataMapNodeOfVMap::Draw_DataMapNodeOfVMap | ( | const Standard_Integer & | K,
|  | const Handle(Draw_Drawable3D)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const Draw_DataMapNodeOfVMap::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& Draw_DataMapNodeOfVMap::Key | ( |  | ) | const

Handle_Draw_Drawable3D& Draw_DataMapNodeOfVMap::Value | ( |  | ) | const

## Field Documentation

Standard_Integer Draw_DataMapNodeOfVMap::myKey `[private]`

Handle_Draw_Drawable3D Draw_DataMapNodeOfVMap::myValue `[private]`

The documentation for this class was generated from the following file:

- Draw_DataMapNodeOfVMap.hxx